import { WebSocketServer } from 'ws';
import { Logger, ServerConfig } from '../../types/index.js';
/**
 * Start a WebSocketServer.
 *
 * Note: Based on examples in the ws git repo: https://github.com/websockets/ws/blob/master/examples/express-session-parse/index.js
 * @param param0
 * @param logger
 * @returns
 */
export declare function startWebSocketServer({ port, https: httpsConfig }: ServerConfig, logger: Logger): WebSocketServer;
