import { watch } from 'chokidar';
const watchOptions = {};
let watcher;
const SUPPORTED_FILE_EXTENSION_GLOB = '**/*.{html,css,js}';
export function startWatch(dirPaths) {
    watcher = watch([
        ...dirPaths.map((dir) => dir.endsWith('/')
            ? dir + SUPPORTED_FILE_EXTENSION_GLOB
            : dir + '/' + SUPPORTED_FILE_EXTENSION_GLOB),
    ], watchOptions);
    return watcher;
}
export function stopWatch() {
    watcher?.close();
}
//# sourceMappingURL=index.js.map