import { ModuleGraph } from '../server/moduleGraph/index.js';
import { LogLevel, ServerConfig } from './serverConfig.js';
export interface Logger {
    log(level: LogLevel, message: string): void;
}
export declare class DevServerContext {
    config: ServerConfig;
    logger: Logger;
    moduleGraph: ModuleGraph;
    constructor(config: ServerConfig, logger: Logger, moduleGraph: ModuleGraph);
}
